'use strict';

/* Controllers */
angular.module('hpApp.controllers', [])
    .controller('InterviewController', ['$scope', '$location', function($scope, $location) {
        $scope.language = "french";
        $scope.table = "withoutTable";
        $scope.footballEventSelected = true;
        $scope.italianUnsupported = "Il documento italiano non è stato ancora tradotto. Si prega di utilizzare sia la versione francese o tedesca di questo documento.";

        $scope.$watch('language', function(newValue, oldValue) {
            $scope.isSupportedLanguage = true;
            switch(newValue) {
                case "french" :
                    $scope.languageSelection = "Selection de la langue:";
                    $scope.withTableLabel = "Avec tableau";
                    $scope.withoutTableLabel = "Sans tableau";
                    $scope.documentVersion = "Version du document:";
                    $scope.wantAttachments = "Souhaitez-vous ajouter des pièces jointes?";
                    $scope.paymentSlip = "- Bulletin de versement";
                    $scope.blockingCC = "- Formulaire de blocage de carte de crédit";
                    $scope.addAttachments = "Vous pouvez ajouter vos propres pieces jointes depuis le menu Live";
                    $scope.addCustomerCharge = "Ajout des informations relatives au chargé de clientéle";
                    $scope.campaignManagement = "Gestion des campagnes marketing";
                    $scope.carInsurance = "Upselling assurance voiture";
                    $scope.footballEvent = "Evénement footballistique";
                    $scope.golfEvent = "Evénement golfistique";
                    break;
                case "german" :
                    $scope.languageSelection = "Sprachenauswahl:";
                    $scope.withTableLabel = "Mit Tabelle";
                    $scope.withoutTableLabel = "Ohne Tabelle";
                    $scope.documentVersion = "Version des Dokumentes:";
                    $scope.wantAttachments = "Möchten Sie folgende Beilagen hinzufügen?";
                    $scope.paymentSlip = "- Einzahlungschein";
                    $scope.blockingCC = "- Belastungsermächtigung";
                    $scope.addAttachments = "Sie können exteme Beilagen via dem Menü Live hinzufügen";
                    $scope.addCustomerCharge = "Hinzufügen der Kundenverantwortlichen-Informationen";
                    $scope.campaignManagement = "Gestion des campagnes marketing";
                    $scope.carInsurance = "Upselling Autoversicherung";
                    $scope.footballEvent = "Fussballereignis";
                    $scope.golfEvent = "Golfereignis";
                    break;
                case "italian" :
                    $scope.isSupportedLanguage = false;
                    break;
            }
        });
        $scope.goToLetter = function() {
            $location.path('/letter');
        };
    }])
    .controller('DocumentController', ['$scope', function($scope) {
        $scope.book1 = "The Zen Teachings of Huang Po";
    }])
    .controller('SensesController', ['$scope', function($scope) {
        $scope.book1 = "The Zen Teachings of Huang Po";
        $scope.senses = [
            {"name": "Eye", "desc": "visual sense"},
            {"name": "Nose", "desc": "olfactory sense"},
            {"name": "Ear", "desc": "auditory sense"},
            {"name": "Tongue", "desc": "taste sense"},
            {"name": "Body", "desc": "tactile sense"},
            {"name": "Manas", "desc": "realization or awareness"},
            {"name": "Alaya", "desc": "seed or prajna or suchness"}
        ];
}]);